<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
        var x=2;
        /*function test(){
            this.x=1;
            console.log(this.x);
        };
        test();//1
        */
        function test1(){
            //this.x=1;
            console.log(this.x);
        };
        test1(); //2   
    </script>
</body>
</html>